Installing MariaDB: unmet dependencies, mariadb-server-10.0

ubuntu:~$ sudo apt-get install mariadb-server Reading package lists... Done Building dependency tree Reading state information... Done Some packages could not be installed. This may mean that...

To install ia32-libs on debian wheezy amd64

I'm using Debian 7 (wheezy) amd64. uname -a Linux tzwm-debian 3.2.0-4-amd64 #1 SMP Debian 3.2.51-1 x86_64 GNU/Linux And I want to install ia32-libs in my Debian. But this happens when I try to...

Vagrant error : Failed to mount folders in Linux guest

I have some issues with Vagrant shared folders, my base system is Ubuntu 13.10 desktop. I do not understand why I have this error is something that is not right configured ? Is a NFS issue or...

Android, setting up a Linux build environment, libgl1-mesa-glx:i386 package have unmet dependencies

I'm trying to setting up a Linux build environment for AOSP. I have Ubuntu-12.04.4-desktop-amd64 distributive. I do everything in accordance with the instructions given here. I typed in the...

Homestead provisioning error

Because I need LDAP functionality in my webapp need to provision my Homestead box with 'sudo apt-get install php5-ldap' So in my homestead.rb I added: # Install addons like LDAP...

Vagrant plugin load order

I am behind corporate proxy which is using self-sign certificate to intercept ssl trafic. So I have installed vagrant-ca-certificates to have certificate in vm. I am also using vagrant-omnibus to...

Can't run vagrant up

Ok this is pretty simple: I'm on windows 10. I just downloaded Vagrant v1.8.0 and Virtualbox 5.0.12. All i did i just: vagrant init so my VagrantFile only contains this : Vagrant.configure(2) do...

Ubuntu / DigitalOcean - Unable to fetch packages to install git on a fresh install

Just started with a fresh install of Ubuntu 14.04 on my digitalocean droplet and I'm trying to install git. My first attempt failed to install some packages - [email protected]:~# sudo apt-get install...

Net::HTTPServerException causing Chef to fail

I'm attempting to set up a Rails environment with Vagrant and Chef by following this guide. I've used it in the past with success. When I run vagrant up it fails, and (I think) this is the...

Dockerizing kafka gives non zero exit code

I am a newbie trying to learn docker. I am trying to dockerize kafka installation and stuck with a non zero exit code. I would like to debug the issue and find out the reason. How to debug a...

Make .deb for JDK8 with JavaPackage

I'm trying to install JDK8 on Debian Stretch. The recommended way is to use JavaPackage. I have successfully packaged JDK6 and JDK7 using this method: Download the JDK archive from...

Can apt-get autoremove remove system files?

I tried to install Python 3 on my Ubuntu 16.04.4 LTS and while using apt i found this: The following packages were automatically installed and are no longer required: cabextract gcc-5-base:i386...

How to minimize an ubuntu docker image which needs only git, cron and openjdk-8-jre

Testing some docker project so after playing with alpine, I would like to use ubuntu:bionic for production. I decided to roll out my own image but the problem is that it's 600MB+ . REPOSITORY ...

Rails & Docker: configure bundler to run bundle install in a docker build for Rails.4.2.6?

I am having so much trouble with docker. It seems to be a pattern. I have a dockerfile which installs Node.js and Yarn from source repositories fine. I install ruby from the get-apt repositories...

Can't install libgl1-mesa-dri 32bit

When I run the command sudo apt install libgl1-mesa-dri I get this: Reading state information... Done Some packages could not be installed. This may mean that you have requested an impossible...

how to fix php-gd failing to install debian

i know this question has already been asked, but it didn't have an answer that worked for me and i cannot comment as i do not have enough reputation. I'm not able to install php-gd extension on my...

ROS2 Eloquent installation failed in Ubuntu 18.04.4 LTS

Referring to this link, I am installing ROS2 Eloquent into my Ubuntu 18.04.4 LTS. My system's information is as below (via uname -a) Linux myname 5.3.0-28-generic #30~18.04.1-Ubuntu SMP Fri Jan 17...

Running apt-get install within Docker container: "Unable to connect to deb.debian.org" part-way through installing dependencies

I'm trying to build a docker container on a Raspberry Pi 3B. I need to install gpac for MP4Box. Dockerfile FROM python:3.8-buster RUN apt update && apt install curl gpac -y ENV...

OpenCL and Radeon R4 Integrated Graphics

I have a Dell Inspiron laptop with an AMD A6-6310 (Radeon R4 integrated graphics) SoC. I am running Debian Sid (updated to the latest). From wikipedia I see that the R4 Graphics has 128 shader...